package me.demon.DemonBank;

import me.demon.DemonBank.command.BankCommand;
import me.demon.DemonBank.listener.JoinEvent;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.HashMap;
import java.util.Map;

public class Main extends JavaPlugin {

    public static String pluginName = "魂式银行";
    public static Main plugin;
    public static Map<Player, Long> lastCommandTime = new HashMap<>();
    public static HashMap<Player,BankData> dataMap = new HashMap<>();
    public static String prefix = "§7[§6银行§7] §f";

    public void onEnable() {
        plugin = this;
        saveDefaultConfig();
        Bukkit.getServer().getPluginManager().registerEvents(new JoinEvent(), plugin);
        Bukkit.getPluginCommand("bank").setExecutor(new BankCommand());
        Bukkit.getConsoleSender().sendMessage("§6["+ Main.pluginName+"] §f插件加載成功！");
        Bukkit.getConsoleSender().sendMessage("§6["+ Main.pluginName+"] §f作者QQ:1763917516");
        new Placeholders(this).register();
        Bukkit.getScheduler().scheduleSyncRepeatingTask(this, new Runnable(){
            @Override
            public void run() {
                long currentTime = System.currentTimeMillis();
                for (Player player : Main.lastCommandTime.keySet()){
                    if((currentTime - Main.lastCommandTime.get(player)) >= (1000 * 10)){
                        int money = Main.dataMap.get(player).getMoney();
                        //HamsterAPI.giveMoney(player,money);
                        player.sendMessage("获得金币 +"+money);
                        Main.dataMap.remove(player);
                        player.sendMessage("发送缓存金币数据,并清理");
                        Main.lastCommandTime.remove(player);
                    }
                }
            }
        }, 5 * 20L, 5 * 20L);
    }

    public void onDisable() {
        Main.plugin.saveConfig();
        Bukkit.getConsoleSender().sendMessage("§6["+ Main.pluginName+"] §f玩家數據已保存。");
        Bukkit.getConsoleSender().sendMessage("§6["+ Main.pluginName+"] §f插件已安全卸載！");
    }
}
